import { Global } from "../Global";

const {ccclass, property} = cc._decorator;

@ccclass
export default class ShowAlonePass extends cc.Component {

    private aloneArray:cc.Node;
    private startIndex;
    private endIndex;
    
    private arrayChild = [];

    onLoad(){
        
    }

    public setData(start, end){        
        this.startIndex = start;
        this.endIndex = end;

        this.arrayChild = this.node.getChildByName("AloneArray").children;

        let tempStart = start;
        let tempEnd = end;
        
        for(let i = 0; i < this.arrayChild.length; i++){            
            let arrayChild = this.arrayChild[i];            
            arrayChild.name = tempStart + "";                          

            if(Global.USER_INFO.alonePassNum >= tempStart){        
                arrayChild.getChildByName("lock").active = false;    
                arrayChild.getChildByName("guanqia").active = true;
                arrayChild.on(cc.Node.EventType.TOUCH_END, this.openAlone, this);                

                if(Global.USER_INFO.maxAlonePassNum >= tempStart){
                    arrayChild.getChildByName("guanqia").getChildByName("pass").active = true;
                    arrayChild.getChildByName("guanqia").getChildByName("passNum2").getComponent(cc.Label).string = tempStart + "";
                    arrayChild.getChildByName("guanqia").getChildByName("passNum2").active = true;
                }
                else{
                    arrayChild.getChildByName("guanqia").getChildByName("passNum1").getComponent(cc.Label).string = tempStart + "";
                    arrayChild.getChildByName("guanqia").getChildByName("passNum1").active = true;
                }
            }

            tempStart++;          
        }
    }

    private openAlone(e){
        let obj = e.currentTarget;
        Global.enterPassTipUI.node.active = true;
        Global.enterPassTipUI.setInfo(obj.name);        
    }

}
