import { Global } from "../Global";

const {ccclass, property} = cc._decorator;

let self:SettingUI
@ccclass
export default class SettingUI extends cc.Component {

    private musicSwitch:cc.Toggle;

    onLoad(){
        self = this;
        self.musicSwitch = self.node.getChildByName("musicSwitch").getComponent(cc.Toggle);        
        self.musicSwitch.node.on(cc.Node.EventType.TOUCH_END, self.changMusic, self);
    }

    private changMusic(){ 
        Global.playMusic("ball_collide");       
        if(self.musicSwitch.isChecked){
            Global.isPlayMusic = false;
        }
        else{
            Global.isPlayMusic = true;
        }        
    }

}
