export namespace Const{

    //游戏类型
    export let passGame = 1;        //随机关卡
    export let aloneGame = 2;       //闯关模式

    //物理标签
    export let basketCenterTag = 1000;     //篮框中心(进球条件)
    export let bascktFrameTag = 1001;      //篮框
    export let noBasketbodyTag = 1002;     //篮框中心(取消碰撞检测)

    export let noDrawRangeTag = 1010;      //划线不可画区域(篮框里面)
           
    export let elasticityTag = 2000;    //弹力块     
    export let ballTag = 2001;          //篮球
    export let boomRangeTag = 2002;          //爆炸区域    
    
    export let BottomWallTag = 3000;       //墙壁下面（失败条件）

    export let goldTag = 4000;          //钻石

    //事件描述
    export let hideGamehall = "隐藏大厅";    
    export let ballInit = "小球初始化";
    export let gameStart = "游戏正式开始";
    export let nextPass = "下一关";
    export let addScore = "加分";
    export let gameOver = "游戏结束";
    export let openOverTimer = "打开结束计时器";
    export let againGame = "再来一局";
    export let gameInit = "游戏初始化";
    export let updateWuPin = "更新我的篮球";
    export let closeShareGold = "关闭金币分享";
    export let readComplete = "读取本地数据完成";
    export let initSdkComplete = "初始化sdk完成";
    export let stopTimer = "关闭全部计时器";
    export let tipRemainPen = "提示剩余的笔"; 
    export let shopping = "购物";
    export let updateBall = "更新球球";
    export let boomEnter = "炸弹进球";
    export let tipMode = "提示模式";
    export let tipOver = "提示模式结束";

    //道具类型type
    export let ballID = 1;
    export let basketLeftID = 2;
    export let basketRightID = 3;
    export let basketTopID = 4;
    export let nobasketID = 5;
    export let boomID = 6;
    export let lumpID = 7;    
    
}
