import { wxApply } from "./wxGame/wxApply";
import { Global } from "./Global";

const { ccclass, property } = cc._decorator;

let self: Login
@ccclass
export default class Login extends cc.Component {

    @property(cc.Node)
    private btn_anotherQQ = null;

    onLoad() {
        self = this;
    }

    start() {
        //wxApply.login(self.loginSuc, self.loginError);

        sdk.ToutiaoLogin((d) => {
            // 登录成功：返回用户信息； 
            // 登录失败：返回false            
            if (d) {
                // 获取用户信息
                var user = sdk.getUser();
                console.log("==用户信息==", user)
                Global.myuid = user.uid;
                Global.openid = user.openid;

                wxApply.updateShareMenu();
                wxApply.showShareMenu();
                wxApply.onShareAppMessage();
                wxApply.getUserInfo((res) => {
                    Global.USER_INFO.nickname = res.userInfo.nickName;
                }, () => {

                });
                

            } else {
                console.log("登陆失败：", d)
            }
        });

        //wxApply.getUpdateManager();
    }

    private loginSuc(res) {
        console.log("登录成功");
    }

    private loginError() {

    }

    private getUserSuc(res) {
        Global.USER_INFO.nickname = res.userInfo.nickName;

    }

    private getUserError() {

    }

}
