import { Global } from "./Global";
import { Const } from "./Const";

const {ccclass, property} = cc._decorator;

@ccclass
export default class newGuide extends cc.Component {

    @property(cc.Node)
    private btn_startStudy:cc.Node = null;

    onEnable(){
        Global.USER_INFO.isOpenNewGuide = false;
        Global.gameType = Const.aloneGame;
    }

    onLoad(){
        this.btn_startStudy.on(cc.Node.EventType.TOUCH_END, this.startGame, this);
    }

    private startGame(){
        Global.curPassIndex = 0;        
        cc.director.emit("gameStart");
        cc.director.emit("hideGamehall", {isGo: true});

        setTimeout(()=>{
            cc.director.emit("againGame", {
                isSave: false
            });                                         
            this.node.active = false;
        }, 400)
    }

}
