import { Global } from "../Global";

export namespace wxApply {
    //授权获取code
    export function login(success, fail) {

            tt.login({ success, fail });
     
    }

    //获取个人信息
    export function getUserInfo(success, fail) {
   
            tt.getUserInfo({ success, fail });
    
    }

    //显示转发
    export function showShareMenu() {

            tt.showShareMenu();
     
    };

    //被动转发
    export function onShareAppMessage() {

            sdk.onShareAppMessage({ type: 0 });
   
    }

    /**
     * 主动分享
     * @param getShareType 获取的分享类型
     * @param prizeType 分享类型 1.普通  2.复活  3.金币(默认25金币)  4.闯关提示
     * @param prizeCount 奖励数量
     */
    export function shareAppMessage(prizeType, prizeCount = 25, cd?, target?) {


            var successfun = function (res) {
                console.log("分享成功返回："+prizeType);
                if (prizeType == 3) {
                    Global.judgeShareMax();
                    Global.addGold(prizeCount);

                }
                else if (prizeType == 2) {
                    Global.fuhuoCount++;

                    cc.director.emit("againGame", {
                        isSave: true
                    })
                }
                else if(prizeType == 4){
                    
                }   

                //Global.setToast("分享成功");

                if (cd) {
                    cd.call(target);
                }
            }

            var failfun = function (res) {
                // if (cd) {
                //     cd.call(target);
                // }
                console.log("分享失败返回："+prizeType);
            }
            sdk.shareAppMessage({ type: prizeType, success: successfun, fail: failfun });
      

    }

    export function updateShareMenu() {

            tt.updateShareMenu({
                withShareTicket: true,
                success(res) {

                }
            })
  
    }

    //发送信息给子域监听
    export function postMessage(msg) {
        ///|if (cc.sys.platform == cc.sys.WECHAT_GAME) {
           ///|tt.postMessage(msg);
        ///|}
    }

    //上传要保存的数据
    export function setUserCloudStorage(score) {
       
    }

    //获取自己保存的数据
    export function getUserCloudStorage(suc) {
       
    }

    //预览图片          1.公众号        2.游戏分享图
    export function previewImage(urlImage) {

            var current;
            var urls;
            current = urlImage;
            urls = [urlImage]

            tt.previewImage({
                current: current,
                urls: urls,
                success(res) {
                    console.log("预览图片成功   ", res)
                },
                fail(res) {
                    console.log("预览图片失败   ", res)
                }
            })
      
    }
    //监听前台事件
    export function onShow(callback) {
        
            tt.onShow(callback);
      
    }

    //取消前台事件
    export function offShow(callback) {
   
            tt.offShow(callback);
      
    }
    //监听后台事件
    export function onHide(callback) {
  
            tt.onHide(callback);
      
    }
    //取消后台事件
    export function offHide(callback) {
     
            tt.offHide(callback);
      
    }
    //热更新
    export function getUpdateManager() {

            if (typeof tt.getUpdateManager === 'function') {
                const updateManager = tt.getUpdateManager()

                updateManager.onCheckForUpdate(function (res) {
                    // 请求完新版本信息的回调
                    console.log(res.hasUpdate)
                })

                updateManager.onUpdateReady(function () {
                    // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
                    updateManager.applyUpdate()
                })

                updateManager.onUpdateFailed(function () {
                    // 新的版本下载失败
                })
            }
     
    }

    //跳转其他小游戏
    export function navigateToMiniProgram(OtherAppid: string, path, extraData, envVersion) {
  
            console.log("跳转", OtherAppid);
            tt.navigateToMiniProgram({
                appId: OtherAppid,
                path: path,
                extraData: extraData,
                envVersion: envVersion,
                success() {
                    console.log("跳转成功")
                },
                fail() {
                    console.log("跳转失败")
                }
            })
       
    }

    //本地存储
    export function setStorage(key: string, data: {}) {

            sdk.setItem(key, data);            
        
     
    }

    //获取本地存储
    export function getStorage(key: string) {
  
            if(key == "myData"){
                var msg = sdk.getItem(key)
                if (!msg) {
                    console.log("获得本地存储的信息失败", msg);
                    Global.updateGold();
                    cc.director.emit("readComplete");
                }
                else{
                    console.log("获得本地存储的信息", msg);
                    Global.USER_INFO = msg;
                    Global.updateGold();
                    cc.director.emit("readComplete");
                    cc.director.emit("updateWuPin");
                }
            }
            else if(key == "shopBall"){
                var msg = sdk.getItem(key)
                if(msg){
                    Global.ownBall = msg;
                }
            }
            else if(key == "shopLine"){
                var msg = sdk.getItem(key)
                if(msg){
                    Global.ownLine = msg;
                }
            }
      
    }

    //打开客服
    export function openCustomerServiceConversation() {

            tt.openCustomerServiceConversation({});
       
    }

    //截图
    export function toTempFilePath() {
 
            var curWidth = cc.winSize.width;
            var curheight = cc.winSize.height;

            canvas.toTempFilePath({
                // width: curWidth,
                // height: curheight,
                success: (res) => {
                    console.log("路径", res);
                    wxApply.saveImageToPhotosAlbum(res.tempFilePath);
                }
            })
     
    }

    export function saveImageToPhotosAlbum(path) {

            tt.saveImageToPhotosAlbum({
                filePath: path,
                success(msg) {
                    // cd.call(target);
                },
                fail(msg) {
                    // cd.call(target);
                }
            })
     
    }
}
